%% Expcode setup
obj=SCDexpcodeconf_node06_cfs_test;
obj.init;
obj.setup;

%% expcode actualize
obj.actualize(-1);

%% expcode simulate
sim('cfssystem');

%% wrappers build
SCDconf_setConf('configurationSettingsCODEgcc');
load_system('SCDwrap_cfs1');
rtwbuild('SCDwrap_cfs1');
load_system('SCDwrap_cfs2');
rtwbuild('SCDwrap_cfs2');

%% MARTe2 cfg file autogeneration
cd marte2cfg/2threads/
algo_cfs1and2_create_marte2_cfg;
cd ../..

%% Transfer gencode and cfg to the realtime machine
system('scp marte2cfg/2threads/algo_cfs1and2_2threads.cfg    root@node06:/root/MARTe2-examples/Configurations');
system('scp ../../../gencodes/CodeGenFolder/SCDwrap_cfs1.so  root@node06:/root/MARTe2-examples/Simulinkso');
system('scp ../../../gencodes/CodeGenFolder/SCDwrap_cfs2.so  root@node06:/root/MARTe2-examples/Simulinkso');

